
Redmine - Defect #25996

 ActiveRecord::StatementInvalid

2017-05-18 08:40 - Jone Jone

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 3.2.6

Description

I use nginx server.

log:

Completed 500 Internal Server Error in 51113ms (ActiveRecord: 51068.8ms)

ActiveRecord::StatementInvalid (Mysql2::Error: Lock wait timeout exceeded; try restarting transaction: UPDATE `issues` SET

`issues`.`status_id` = 3, `issues`.`updated_on` = '2017-05-18 11:02:23', `issues`.`lock_version` = 2 WHERE `issues`.`id` = 21991

AND `issues`.`lock_version` = 1):

app/models/issue.rb:182:in `create_or_update'

app/controllers/issues_controller.rb:499:in `block in save_issue_with_child_records'

app/controllers/issues_controller.rb:487:in `save_issue_with_child_records'

app/controllers/issues_controller.rb:185:in `update'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2017-05-18 09:01 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please see submissions.

#2 - 2023-05-05 11:05 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
